List products
curl --request GET \
--url https://api.assembly.com/v1/products \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.assembly.com/v1/products"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.assembly.com/v1/products', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"createdAt": "<string>",
"creatorId": "<string>",
"data": "<string>",
"description": "Access to all premium features",
"id": "<string>",
"identityId": "<string>",
"imageUrls": [
"https://assets.example.com/products/premium.png"
],
"isUsed": false,
"name": "Premium Plan",
"object": "<string>",
"portalId": "550e8400-e29b-41d4-a716-446655440000",
"previousAttributes": {},
"price": {
"amount": 5000,
"createdAt": "<string>",
"creatorId": "<string>",
"currency": "usd",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"interval": "month",
"intervalCount": 1,
"isUsed": false,
"object": "<string>",
"portalId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"previousAttributes": {},
"productId": "d1f8c9e2-3b4a-4c5d-9e6f-7a8b9c0d1e2f",
"ref": "<string>",
"type": "recurring",
"updatedAt": "<string>"
},
"priceIds": [
"price_1a2b3c"
],
"prices": [
{
"amount": 5000,
"createdAt": "<string>",
"creatorId": "<string>",
"currency": "usd",
"data": "<string>",
"id": "<string>",
"identityId": "<string>",
"interval": "month",
"intervalCount": 1,
"isUsed": false,
"object": "<string>",
"portalId": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
"previousAttributes": {},
"productId": "d1f8c9e2-3b4a-4c5d-9e6f-7a8b9c0d1e2f",
"ref": "<string>",
"type": "recurring",
"updatedAt": "<string>"
}
],
"ref": "<string>",
"status": "active",
"taxPercentage": 8.5,
"updatedAt": "<string>"
}
],
"nextToken": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}{
"code": "<string>",
"data": "<unknown>",
"message": "<string>"
}Products
List products
Returns a paginated list of products in the caller’s portal, optionally filtered by name (case-insensitive substring match).
GET
/
v1
/
products
List products
Authorizations
Query Parameters
Filter by product name (case-insensitive substring match)
Maximum number of products to return
Pagination cursor returned by a previous call
⌘I